﻿using System.IO;

namespace Paladyne.FileSearch.Core
{
    /// <summary>
    /// Abstraction for pluggable search module to be used against particular file types
    /// </summary>
    public interface ISearchModule
    {
        string Name { get; }
        string Extension { get; }
        bool Check(FileInfo fileInfo);
    }
}