using System.Collections.Generic;
using System.IO;

namespace Paladyne.FileSearch.Core
{
    /// <summary>
    /// Abstracts tree-like file system traversal
    /// </summary>
    public interface IFileEnumerator
    {
        IEnumerable<FileInfo> Enumerate(DirectoryInfo directory, bool searchInSubdirectories);
    }
}