﻿namespace Paladyne.FileSearch.Core
{
    /// <summary>
    /// Abstracts a strategy for comparing strings and searching for substrings
    /// </summary>
    public interface ITextCompareStrategy
    {
        bool Contains(string text, string searchString, bool ignoreCase);
        bool AreEqual(string text1, string text2, bool ignoreCase);
    }
}