﻿namespace Paladyne.FileSearch.Core
{
    /// <summary>
    /// Represents a container for main search parameters
    /// </summary>
    public class SearchParameters
    {
        public SearchParameters(string directoryName, string searchString, bool searchInSubdirectories)
        {
            DirectoryName = directoryName;
            FileNameFragment = searchString;
            SearchInSubdirectories = searchInSubdirectories;
        }

        public string DirectoryName { get; private set; }
        public string FileNameFragment { get; private set; }
        public bool SearchInSubdirectories { get; private set; }
    }
}